KILLPG(2)

NAME
killpg - send signal to a process group

SYNOPSIS
#include <signal.h>

int killpg(int pgrp, int sig);

DESCRIPTION
Killpg sends the signal sig to the process group pgrp. See sigaction(2) for a list of signals. If pgrp is 0, killpg sends the signal to the sending process's process group. The sending process and members of the process group must have the same effective user ID, or the sender must be the super-user. As a single special case the continue signal SIGCONT may be sent to any process that is a descendant of the current process.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EINVAL
    Sig is not a valid signal number.

ESRCH
    No process can be found in the process group specified by pgrp.

ESRCH
    The process group was given as 0 but the sending process does not have a process group.

EPERM
    The sending process is not the super-user and one or more of the target processes has an effective user ID different from that of the sending process.

CONFORMING TO
SVr4, 4.4BSD (The killpg function call first appeared in 4.0BSD).

SEE ALSO
kill(2), getpgrp(2), signal(2)